Bug 750099 - Review Request: airinv - C++ Simulated Airline Inventory Management System Library
Review Request: airinv - C++ Simulated Airline Inventory Management System Li...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On: 702987 728649
Blocks: 760594
  Show dependency treegraph
 
Reported: 2011-10-30 19:39 EDT by Denis Arnaud
Modified: 2012-02-12 14:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-12 14:44:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2011-10-30 19:39:48 EDT
Spec URL: http://denisarnaud.fedorapeople.org/sim/airinv/airinv-0.1.1-1.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/airinv/airinv-0.1.1-1.fc15.src.rpm
Description:
AirInv is a C++ library of airline inventory management classes and
functions, mainly targeting simulation purposes.
Comment 1 Thomas Spura 2011-11-01 15:05:39 EDT
Hmm, doesn't build here. It seems the rmol config file for cmake is missing.


-- Requires RMOL-0.25
CMake Error at config/project_config_embeddable.cmake:763 (find_package):
  Could not find a configuration file for package RMOL.

  Set RMOL_DIR to the directory containing a CMake configuration file for
  RMOL.  The file will have one of the following names:

    RMOLConfig.cmake
    rmol-config.cmake

Call Stack (most recent call first):
  config/project_config_embeddable.cmake:319 (get_rmol)
  CMakeLists.txt:42 (get_external_libs)
Comment 2 Denis Arnaud 2011-11-01 18:56:31 EDT
(In reply to comment #1)
> Hmm, doesn't build here. It seems the rmol config file for cmake is missing.
> 
> 
> -- Requires RMOL-0.25
> CMake Error at config/project_config_embeddable.cmake:763 (find_package):
>   Could not find a configuration file for package RMOL.

Yes, as mentioned, it requires rmol-0.25, which is currently in the testing repository: https://admin.fedoraproject.org/updates/rmol
I have added it in the buildroot override for Fedora 15.

The BuildRequires line may be (at least until rmol-0.25 reaches the stable repository for the distribution on which you test AirInv) changed to:
 BuildRequires:  readline-devel, stdair-devel, airrac-devel, rmol-devel >= 0.25

Alternatively, rmol-0.25 may be installed with (on almost all the versions of Fedora and EPEL):
 yum --enablerepo=updates-testing install rmol-devel
 yum -y install stdair-devel airrac-devel

-------
Nevertheless, I just noticed that a new version of StdAir and AirRAC must be, in turn, re-delivered. As is, AirInv compilation will not complete. I shall work on it shortly.
Comment 3 Thomas Spura 2011-12-04 08:36:17 EST
Review:

- name ok
- descriptions ok
- BR ok
- doc has own COPYING and doesn't R the main package - ok
- library correct installed
- ldconfig called
- no static lib
- %files ok
- license ok
  (headers are missing, but as you are part of upstream, you know you should have some ;))
- check is there
- macros everywhere
- doc is noarch
- R pkgconfig ok as you are building for el*
- BR there
- defattr there
- sources match:
  ccd19f9a48abe5d506c43a28544d96f5  airinv-0.1.1.tar.bz2
- koji build worked:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3561152
- $ rpmlint /home/tom/rpmbuild/RPMS/*/airinv* /home/tom/rpmbuild/SRPMS/airinv-0.1.1-1.fc16.src.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.

NOTICE:
- It looks strange, that _datadir/airinv is owned by the devel package and not by the main package... Usually the main package would own such a directory and put application data in it. But as only the devel package puts files there: ok


NEEDSWORK:
- This is in the build log:
Warning: the PDF reference manual (/home/tom/rpmbuild/BUILD/airinv-0.1.1/doc/latex/refman.pdf) has failed to build. You can perform a simple re-build (make in the doc/latex sub-directory).

and the refman.pdf is indeed missing. Please check why it fails and fix.

_____________________________________________________________________________

As there is only a minor doc fix needed, this package is:
_____________________________________________________________________________

APPROVED
Comment 4 Denis Arnaud 2011-12-04 13:30:57 EST
Thank you very much for that review, Thomas!

I have eventually found the bug hindering the generation of the PDF reference manual. It has been fixed in the new upstream release (0.1.2).

-------------------------------------------------------------------------------
New Package SCM Request
=======================
Package Name: airinv
Short Description: C++ Simulated Airline Inventory Management System Library
Owners: denisarnaud
Branches: f15 f16 el5 el6
InitialCC: denisarnaud
-------------------------------------------------------------------------------
Comment 5 Gwyn Ciesla 2011-12-04 16:05:20 EST
Git done (by process-git-requests).

Removed badly formatted InitialCC section.
Comment 6 Denis Arnaud 2012-02-12 14:44:23 EST
AirInv has been packaged for F16, F15 and EL6. For instance:
http://bit.ly/xkYe9O

Note You need to log in before you can comment on or make changes to this bug.